summaryrefslogtreecommitdiffstats
path: root/bin/ebuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 9cbd748e6..43d428ed7 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1444,6 +1444,14 @@ _ebuild_phase_funcs() {
eval "$x() { _eapi0_$x \"\$@\" ; }"
done
+ if ! hasq $eapi 0 1 2 ; then
+ for x in dosed dohard ; do
+ eval "$x() {
+ die \"$x has been banned for EAPI '$eapi'\"
+ }"
+ done
+ fi
+
case $eapi in
0|1)